 ba#include "SoftwareSerial.h"
#include "DFRobotDFPlayerMini.h"

SoftwareSerial mySoftwareSerial(2, 1); //RX, Tx
DFRobotDFPlayerMini myDFPlayer;
void printDetail(uint8_t type, int value);

int LDRInput=3; //Set Analog Input 3 for LDR.
int LED=4;
#define SENSORPIN 0
#define PAUSETIME 1000

void setup() {
  mySoftwareSerial.begin(9600);
  Serial.begin(115200);

  pinMode(LDRInput,INPUT);
  pinMode(SENSORPIN, INPUT);
  pinMode(LED,OUTPUT);
  
  Serial.println();
  Serial.println(F("Initializing DFPlayer..."));

  if (!myDFPlayer.begin(mySoftwareSerial)) {
    Serial.println(F("Unable to Begin:"));
    Serial.println(F("1.Please recheck the connection!"));
    Serial.println(F("2.Please insert the SD card!"));
    while(true);
  }
  Serial.println(F("DFPlayer Mini online."));

  myDFPlayer.volume(30);
}

void sensorActivated() {
  int pirSensor = digitalRead(SENSORPIN);
  if(pirSensor == HIGH)
  {
    Serial.println("Sensor Activated");
    Serial.println("DFPlayer Working.....");
    myDFPlayer.play(1);
    for (int i = 0; i<=3; i++){
    digitalWrite(LED,HIGH);//The LED turns ON in Dark.
    delay(300);
    digitalWrite(LED,LOW);//The LED turns OFF in Light.
    delay(300);
    }
  }
  return;
}

 void loop() {
 
  int value=analogRead(LDRInput);//Reads the Value of LDR(light).
Serial.println("LDR value is :");//Prints the value of LDR to Serial Monitor.
Serial.println(value);
if(value<850)
  {
    digitalWrite(LED,HIGH);//The LED turns ON in Dark.
  }
  else
  {
    digitalWrite(LED,LOW);//The LED turns OFF in Light.
  }

  sensorActivated();
  delay(PAUSETIME);
 }
